package org.hso.ecommerce.entities.booking;

import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;

@Embeddable
public class PaymentMethod {
    @NotNull
    public String creditCardNumber;

    public static PaymentMethod fromCreditCarNumber(String cardnumber) {
        PaymentMethod m = new PaymentMethod();
        m.creditCardNumber = cardnumber;

        return m;
    }
}
